#! /usr/bin/env python
# -*- coding:Utf-8 -*-

"""
Utilisation de la classe OscilloGraphe().

fichier : tst_oscillo.py
auteur  : G. Swinnen (modifié Bob)
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from math import pi
import tkinter as tk
from 1_oscillo import OscilloGraphe

# Programme principal ==========================================================
root = tk.Tk()

g1 = OscilloGraphe()
g1.pack()

g2 = OscilloGraphe(haut=200, larg=250)
g2.pack()
g2.traceCourbe()

g3 = OscilloGraphe(larg=220)
g3.configure(bg='ivory', bd=3, relief=tk.SUNKEN, )
g3.pack(padx=5, pady=5)
g3.traceCourbe(phase=pi/2, coul='purple')
g3.traceCourbe(phase=pi, coul='dark green')

root.mainloop()
